use std::io::prelude::*;
use std::net::TcpStream;

pub fn connect(port: &str) -> std::io::Result<()> {
    let addr = format!("127.0.0.1:{}", port);
    let mut stream = TcpStream::connect(addr)?;

    stream.write_all(&[1])?;
    stream.read_exact(&mut [0; 128])?;

    Ok(())
}
