use std::net::TcpListener;

pub fn listen(port: &str) -> std::io::Result<()> {
    let addr = format!("127.0.0.1:{}", port);
    let listener = TcpListener::bind(addr).unwrap();

    for stream in listener.incoming() {
        println!(
            "received connection from {}",
            stream.unwrap().peer_addr().unwrap()
        );
    }

    Ok(())
}
